<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__ezi2c__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_ezi2c_cfg_t</compoundname>
    <includes local="no">cyhal_ezi2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__ezi2c__cfg__t_1a97635e53c040e1d00c4b6aa646093299" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_ezi2c_cfg_t::two_addresses</definition>
        <argsstring />
        <name>two_addresses</name>
        <briefdescription>
<para>Number of addresses (one or two). </para>        </briefdescription>
        <detaileddescription>
<para>If set "true" - use two addresses otherwise ("false") one </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="162" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="162" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__cfg__t_1a011a66a43ac709b197fb10362d867b43" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_ezi2c_cfg_t::enable_wake_from_sleep</definition>
        <argsstring />
        <name>enable_wake_from_sleep</name>
        <briefdescription>
<para>When set, the slave will wake the device from Deep Sleep on an address match. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="164" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="164" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__cfg__t_1a6fbb2cfc5e85e1ef64fec15075744b3d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga4d5b397b7436fbfe3628090981026d02">cyhal_ezi2c_data_rate_t</ref></type>
        <definition>cyhal_ezi2c_data_rate_t cyhal_ezi2c_cfg_t::data_rate</definition>
        <argsstring />
        <name>data_rate</name>
        <briefdescription>
<para>Maximum frequency that the I2C Slave bus runs at. </para>        </briefdescription>
        <detaileddescription>
<para>Supports standard data rates of 100/400/1000 kbps </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="166" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="166" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__cfg__t_1acdb4af96c5a06da5ec83bb87d85f6851" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref></type>
        <definition>cyhal_ezi2c_slave_cfg_t cyhal_ezi2c_cfg_t::slave1_cfg</definition>
        <argsstring />
        <name>slave1_cfg</name>
        <briefdescription>
<para>Refer to <ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref> for details. </para>        </briefdescription>
        <detaileddescription>
<para>This config structure is mandatory. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="168" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="168" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__cfg__t_1abb9fe145f42e6184e604994382d83248" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref></type>
        <definition>cyhal_ezi2c_slave_cfg_t cyhal_ezi2c_cfg_t::slave2_cfg</definition>
        <argsstring />
        <name>slave2_cfg</name>
        <briefdescription>
<para>Refer to <ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref> for details. </para>        </briefdescription>
        <detaileddescription>
<para>This config structure is optional. Set it if user want to use dual-port addressing otherwise leave blank </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="171" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="171" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__cfg__t_1a87dc9cd1a382761d0d165326a249a734" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga88858315f478b071f59d8f0190241c05">cyhal_ezi2c_sub_addr_size_t</ref></type>
        <definition>cyhal_ezi2c_sub_addr_size_t cyhal_ezi2c_cfg_t::sub_address_size</definition>
        <argsstring />
        <name>sub_address_size</name>
        <briefdescription>
<para>The size of the sub-address, can either be 8 or 16 bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="173" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="173" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Initial EZI2C configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="51">
        <label>cyhal_ezi2c_slave_cfg_t</label>
        <link refid="structcyhal__ezi2c__slave__cfg__t" />
      </node>
      <node id="50">
        <label>cyhal_ezi2c_cfg_t</label>
        <link refid="structcyhal__ezi2c__cfg__t" />
        <childnode refid="51" relation="usage">
          <edgelabel>slave2_cfg</edgelabel>
          <edgelabel>slave1_cfg</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="174" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="159" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="160" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1a6fbb2cfc5e85e1ef64fec15075744b3d" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>data_rate</name></member>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1a011a66a43ac709b197fb10362d867b43" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>enable_wake_from_sleep</name></member>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1acdb4af96c5a06da5ec83bb87d85f6851" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>slave1_cfg</name></member>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1abb9fe145f42e6184e604994382d83248" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>slave2_cfg</name></member>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1a87dc9cd1a382761d0d165326a249a734" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>sub_address_size</name></member>
      <member prot="public" refid="structcyhal__ezi2c__cfg__t_1a97635e53c040e1d00c4b6aa646093299" virt="non-virtual"><scope>cyhal_ezi2c_cfg_t</scope><name>two_addresses</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>